Subject: Re: bug#36558: When the user forgets the filename when using M-x grep

From: Tak Kunihiro <[email-masked]>
Date: Thu, 11 Jul 2019 08:22:59 +0900

>> I don't think the M-x grep command has the ability for the user to
>> change the default prompt from the current
>>
>> Run grep (like this): grep --color -nH --null -e
>>
>> to the rather more sophisticated
>>
>> Run grep (like this): grep --color -nH --null -e [] *
>>
>> where "[]" represents where the cursor should be placed when prompting
>> the user.
>
> I virtually never want to grep all files in a directory, so having to
> hit `C-k' first would be a disadvantage, I think.  And this is the kind
> of interface twiddling that annoys people used to the old defaults, so
> I'm closing this bug report.

I had a similar thought.  I am OK now with following configuration.

(grep-apply-setting 'grep-command "grep -inHr . -e ")